> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathstack.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Device

> This endpoint creates a Device.

Not all providers are supported, currently only Digital Matter is supported.

The created Device is returned in the response.



## OpenAPI

````yaml openapi_2024-03-27 post /device
openapi: 3.1.0
info:
  title: FastAPI
  version: '2024-03-27'
servers:
  - url: https://api.pathstack.io
    description: PathStack production environment
security: []
paths:
  /device:
    post:
      tags:
        - Devices
      summary: Create Device
      description: >-
        This endpoint creates a Device.


        Not all providers are supported, currently only Digital Matter is
        supported.


        The created Device is returned in the response.
      operationId: create_device_device_post
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            default: '2024-03-27'
            title: X-Api-Version
          examples:
            default:
              value: '2024-03-27'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeviceCreate'
              title: Device
              description: Details for device
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success_Device_'
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 400
                        title: Error code
                      message:
                        type: string
                        example: Invalid JWT format
                        title: Error message
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 401
                        title: Error code
                      message:
                        type: string
                        example: >-
                          Authentication header is missing, or token is
                          invalid/expired.
                        title: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 403
                        title: Error code
                      message:
                        type: string
                        example: You do not have access to this resource
                        title: Error message
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 404
                        title: Error code
                      message:
                        type: string
                        example: Connection with ID <connection_id> not found
                        title: Error message
          description: Not Found
        '405':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 405
                        title: Error code
                      message:
                        type: string
                        example: >-
                          The telematics provider for this Device does not
                          support creation of Devices with the API
                        title: Error message
          description: Method Not Allowed
        '422':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 422
                        title: Error code
                      message:
                        type: string
                        example: Field required
                        title: Error message
                      loc:
                        items:
                          anyOf:
                            - type: string
                            - type: integer
                        type: array
                        title: Location
                      msg:
                        type: string
                        title: Message
                      type:
                        type: string
                        title: Error Type
          description: Unprocessable Entity
      security:
        - JWTBearer: []
components:
  schemas:
    DeviceCreate:
      properties:
        system_device_id:
          type: string
          title: System Device Id
        registration:
          anyOf:
            - type: string
            - type: 'null'
          title: Registration
        make:
          anyOf:
            - type: string
            - type: 'null'
          title: Make
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Year
        active:
          type: boolean
          title: Active
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        connection_id:
          type: string
          format: uuid4
          title: Connection Id
      type: object
      required:
        - system_device_id
        - registration
        - make
        - model
        - year
        - active
        - tags
        - connection_id
      title: DeviceCreate
    Success_Device_:
      properties:
        data:
          $ref: '#/components/schemas/Device'
          description: Successful response payload
      type: object
      required:
        - data
      title: Success[Device]
    Device:
      properties:
        system_device_id:
          type: string
          title: System Device Id
        registration:
          anyOf:
            - type: string
            - type: 'null'
          title: Registration
        make:
          anyOf:
            - type: string
            - type: 'null'
          title: Make
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Year
        active:
          type: boolean
          title: Active
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        id:
          type: string
          format: uuid4
          title: Id
        connection_id:
          type: string
          format: uuid4
          title: Connection Id
      type: object
      required:
        - system_device_id
        - registration
        - make
        - model
        - year
        - active
        - tags
        - id
        - connection_id
      title: Device
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````